LibreOffice: XSpinListener Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XSpinListener Interface Referencepublished

makes it possible to receive spin events. More...

`import"XSpinListener.idl";`

Inheritance diagram for XSpinListener:

## Public Member Functions
void | up ([in] com::sun::star::awt::SpinEvent rEvent)
| is invoked when the spin field is spun up. More...
void | down ([in] com::sun::star::awt::SpinEvent rEvent)
| is invoked when the spin field is spun down. More...
void | first ([in] com::sun::star::awt::SpinEvent rEvent)
| is invoked when the spin field is set to the lower value. More...
void | last ([in] com::sun::star::awt::SpinEvent rEvent)
| is invoked when the spin field is set to the upper value. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive spin events.

## Member Function Documentation

## ◆ down()

void down | ( | [in] com::sun::star::awt::SpinEvent | rEvent | ) |

is invoked when the spin field is spun down.

## ◆ first()

void first | ( | [in] com::sun::star::awt::SpinEvent | rEvent | ) |

is invoked when the spin field is set to the lower value.

## ◆ last()

void last | ( | [in] com::sun::star::awt::SpinEvent | rEvent | ) |

is invoked when the spin field is set to the upper value.

## ◆ up()

void up | ( | [in] com::sun::star::awt::SpinEvent | rEvent | ) |

is invoked when the spin field is spun up.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XSpinListener.idl